@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900&display=swap");
body {
  margin: 0px;
  font-family: "Poppins", sans-serif;
}

h1, h2, h3 {
  text-transform: uppercase;
  color: white;
  text-decoration-color: #c43a69;
  text-decoration-line: underline;
  text-underline-offset: 10px;
  line-height: 1.5;
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.49);
}

.header-title {
  font-size: 1.8rem;
  font-weight: normal;
}
.header-container {
  display: flex;
  justify-content: space-between;
  gap: 20px;
  align-items: flex-start;
}

.background-info-container {
  background: url("/components/images/fondo_burdeos.png") no-repeat
    center center;
  background-size: cover;
}
.subtitle {
  color: white;
  font-size: 30px;
  text-align: center;
  max-width: 650px;
  
}

.shadow-image {
  filter: drop-shadow(0px 1px 16px rgba(0, 0, 0, 0.75));
}

.container-images {
  display: flex;
  justify-content: space-between;
  gap: 20px;
  overflow-x: hidden;
}

.relative-wrapper {
  position: relative;
}

.left-route {
  position: absolute;
  bottom: 10px;
  left: 0px;
  height: 90%;
  width: auto;
}

.right-route {
  position: absolute;
  bottom: 10px;
  right: 0px;
  height: 90%;
  width: auto;
}

/* Tint images teams */
.tint-image {
  position: relative;
  width: max-content;
  height: 100;
}

.tint-image::before {
  content: "";
  position: absolute;
  inset: 0;
}

.blue-image {
  background-color: blue;
  -webkit-mask-image: var(--mask);
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
  -webkit-mask-size: contain;

  mask-image: var(--mask);
  mask-repeat: no-repeat;
  mask-position: center;
  mask-size: contain;
}

.red-image {
  background-color: red;
  -webkit-mask-image: var(--mask);
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
  -webkit-mask-size: contain;

  mask-image: var(--mask);
  mask-repeat: no-repeat;
  mask-position: center;
  mask-size: contain;
}

.tint-image img {
  opacity: 0.8;
  object-fit: cover;
  height: 400px;
}



.vex-location-flex {
  display: flex;
  justify-content: center;
  gap: 50px;
  flex-wrap: wrap;
  align-items: center;
  
}


.vex-text-container, .erc-text-container {
  max-width: 600px;
}
.vex-title-descriptions, .erc-title-descriptions {
  color: white;
  text-align: center;
}

.vex-text-descriptions, .erc-text-descriptions {
  padding: 10px;
  text-align: justify;
  color: white;
}
.vex-thon-text {
  padding: 10px;
  text-align: justify;
  color: white;
}
.what-is-vex-text {
  padding: 10px;
  text-align: justify;
  color: white;
}

.what-is-vex-container {
  max-width: 600px;
}


.location-info {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  color: white;
  padding-bottom: 30px;
}

.btn_register {
  padding: 10px 30px;
  color: #ffffff;
  background-color: #800040;
  border: 2px solid #a9075b;
  border-radius: 50px;
  text-decoration: none;
  font-weight: 600;
  font-size: 30px;
  transition: 0.4s ease-in-out; /* Suaviza la transición */
  box-shadow: 0 0 0px rgba(0, 0, 255, 0); /* Sin sombra inicialmente */

  &&:hover {
    background-color: #a7245d;
    border: 2px solid #ffffff;
    box-shadow: 0 0 20px #bd1254, 0 0 40px #ee4798; /* Brillo azul */
    transition: all 0.4s ease-in-out;
  }
}



.faqs-container {
  background-image: url("./images/Fondo\ FAQs\ VEX-Thon.png");
  color: white;
  padding: 40px;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
  text-align: center;
  h1 {
    text-align: center;
    font-size: 36px;
    margin-bottom: 70px;
  }
  .summary-faq {
    list-style: none; /* Elimina el estilo de lista */
    cursor: pointer;
    padding: 10px 0px 10px 0px;
  }
  .summary-faq::before {
    content: "+"; /* Tu símbolo */
    margin-right: 10px; /* Espacio entre símbolo y texto */
    font-weight: bold;
  }

  details[open] .summary-faq::before {
    content: "-";
  }
  article {
    display: grid;
    gap: 100px;
    justify-content: center;
    grid-template-columns: auto auto;
    grid-template-rows: auto auto;
    text-align: left;

    section {
      max-width: 400px;
      summary {
        font-weight: bold;
      }
    }
  }
}




@media screen and (max-width: 1240px) {
  .separator {
    display: none;
  }
  .header-img {
    display: none;
  }
  .subtitle {
    margin: 0 auto;
  }
}

@media screen and (max-width: 900px) {
  .sub_image {
    display: none;
  }
  .container-images {
    overflow-x: scroll;
  }
}

@media screen and (max-width: 700px) {
  .faqs-container {
    article {
      grid-template-columns: auto;
      grid-template-rows: auto;
    }
  }
}
